function $AdfFileUploadManager$$($component$$185$$) {
  this.Init($component$$185$$);
}
$goog$exportSymbol$$("AdfFileUploadManager", $AdfFileUploadManager$$);
$AdfObject$$.$createSubclass$($AdfFileUploadManager$$);
$AdfFileUploadManager$$.$InitClass$ = function $$AdfFileUploadManager$$$$InitClass$$() {
  this.$OPERATION_DELETE$ = "delete";
  $goog$exportSymbol$$("AdfFileUploadManager.OPERATION_DELETE", $AdfFileUploadManager$$.$OPERATION_DELETE$);
  this.$OPERATION_UPLOAD$ = "upload";
  $goog$exportSymbol$$("AdfFileUploadManager.OPERATION_UPLOAD", $AdfFileUploadManager$$.$OPERATION_UPLOAD$);
  this.$OPERATION_CANCEL$ = "cancel";
  $goog$exportSymbol$$("AdfFileUploadManager.OPERATION_CANCEL", $AdfFileUploadManager$$.$OPERATION_CANCEL$);
  this.$OPERATION_CANCEL_ALL$ = "cancelAll";
  $goog$exportSymbol$$("AdfFileUploadManager.OPERATION_CANCEL_ALL", $AdfFileUploadManager$$.$OPERATION_CANCEL_ALL$);
  this.$OPERATION_ADDED$ = "added";
  $goog$exportSymbol$$("AdfFileUploadManager.OPERATION_ADDED", $AdfFileUploadManager$$.$OPERATION_ADDED$);
  this.$OPERATION_LOAD$ = "load";
  $goog$exportSymbol$$("AdfFileUploadManager.OPERATION_LOAD", $AdfFileUploadManager$$.$OPERATION_LOAD$);
  this.$EVENT_TYPE_STATUS$ = "status";
  $goog$exportSymbol$$("AdfFileUploadManager.EVENT_TYPE_STATUS", $AdfFileUploadManager$$.$EVENT_TYPE_STATUS$);
  this.$EVENT_TYPE_PROGRESS$ = "progress";
  $goog$exportSymbol$$("AdfFileUploadManager.EVENT_TYPE_PROGRESS", $AdfFileUploadManager$$.$EVENT_TYPE_PROGRESS$);
  this.$EVENT_TYPE_STATE$ = "state";
  $goog$exportSymbol$$("AdfFileUploadManager.EVENT_TYPE_STATE", $AdfFileUploadManager$$.$EVENT_TYPE_STATE$);
  this.$EVENT_STATUS_START$ = "start";
  $goog$exportSymbol$$("AdfFileUploadManager.EVENT_STATUS_START", $AdfFileUploadManager$$.$EVENT_STATUS_START$);
  this.$EVENT_STATUS_IN_PROGRESS$ = "inprogress";
  $goog$exportSymbol$$("AdfFileUploadManager.EVENT_STATUS_IN_PROGRESS", $AdfFileUploadManager$$.$EVENT_STATUS_IN_PROGRESS$);
  this.$EVENT_STATUS_COMPLETE$ = "complete";
  $goog$exportSymbol$$("AdfFileUploadManager.EVENT_STATUS_COMPLETE", $AdfFileUploadManager$$.$EVENT_STATUS_COMPLETE$);
  this.$EVENT_STATUS_FAILED$ = "failed";
  $goog$exportSymbol$$("AdfFileUploadManager.EVENT_STATUS_FAILED", $AdfFileUploadManager$$.$EVENT_STATUS_FAILED$);
  this.$EVENT_SOURCE_UPLOAD$ = "upload";
  $goog$exportSymbol$$("AdfFileUploadManager.EVENT_SOURCE_UPLOAD", $AdfFileUploadManager$$.$EVENT_SOURCE_UPLOAD$);
  this.$EVENT_SOURCE_APPLET$ = "applet";
  $goog$exportSymbol$$("AdfFileUploadManager.EVENT_SOURCE_APPLET", $AdfFileUploadManager$$.$EVENT_SOURCE_APPLET$);
  this.$EVENT_SOURCE_FALLBACK$ = "fallback";
  $goog$exportSymbol$$("AdfFileUploadManager.EVENT_SOURCE_FALLBACK", $AdfFileUploadManager$$.$EVENT_SOURCE_FALLBACK$);
  this.$EVENT_SOURCE_QUEUE$ = "queue";
  $goog$exportSymbol$$("AdfFileUploadManager.EVENT_SOURCE_QUEUE", $AdfFileUploadManager$$.$EVENT_SOURCE_QUEUE$);
};
$goog$exportSymbol$$("AdfFileUploadManager.InitClass", $AdfFileUploadManager$$.$InitClass$);
$AdfFileUploadManager$$.prototype.Init = function $$AdfFileUploadManager$$$$Init$($component$$186$$) {
  $AdfFileUploadManager$$.$superclass$.Init.call(this);
  this.$_component$ = $component$$186$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.Init", {Init:$AdfFileUploadManager$$.prototype.Init});
$AdfFileUploadManager$$.prototype.addEventListener = function $$AdfFileUploadManager$$$$addEventListener$($type$$120$$, $listener$$66$$, $instance$$12$$) {
  this.$_component$.$getPeer$().$getFileUploadUtils$().addEventListener($type$$120$$, $listener$$66$$, $instance$$12$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.addEventListener", {addEventListener:$AdfFileUploadManager$$.prototype.addEventListener});
$AdfFileUploadManager$$.prototype.$addFileToQueue$ = function $$AdfFileUploadManager$$$$$addFileToQueue$$($file$$1$$) {
  this.$_component$.$getPeer$().$getFileUploadUtils$().$addFileToQueue$($file$$1$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.addFileToQueue", {$addFileToQueue$:$AdfFileUploadManager$$.prototype.$addFileToQueue$});
$AdfFileUploadManager$$.prototype.$cancelAllUploads$ = function $$AdfFileUploadManager$$$$$cancelAllUploads$$() {
  this.$_component$.$getPeer$().$getFileUploadUtils$().$cancelAllUploads$(!0);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.cancelAllUploads", {$cancelAllUploads$:$AdfFileUploadManager$$.prototype.$cancelAllUploads$});
$AdfFileUploadManager$$.prototype.$cancelCurrentUpload$ = function $$AdfFileUploadManager$$$$$cancelCurrentUpload$$($force$$) {
  this.$_component$.$getPeer$().$getFileUploadUtils$().$cancelCurrentUpload$($force$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.cancelCurrentUpload", {$cancelCurrentUpload$:$AdfFileUploadManager$$.prototype.$cancelCurrentUpload$});
$AdfFileUploadManager$$.prototype.$deleteFileFromQueue$ = function $$AdfFileUploadManager$$$$$deleteFileFromQueue$$($filename$$) {
  this.$_component$.$getPeer$().$getFileUploadUtils$().$deleteFileFromQueue$($filename$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.deleteFileFromQueue", {$deleteFileFromQueue$:$AdfFileUploadManager$$.prototype.$deleteFileFromQueue$});
$AdfFileUploadManager$$.prototype.$deleteUploadedFile$ = function $$AdfFileUploadManager$$$$$deleteUploadedFile$$($filename$$1$$) {
  this.$_component$.$getPeer$().$getFileUploadUtils$().$deleteUploadedFile$($filename$$1$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.deleteUploadedFile", {$deleteUploadedFile$:$AdfFileUploadManager$$.prototype.$deleteUploadedFile$});
$AdfFileUploadManager$$.prototype.$getFileUploadQueue$ = function $$AdfFileUploadManager$$$$$getFileUploadQueue$$() {
  return this.$_component$.$getPeer$().$getFileUploadUtils$().$getFileUploadQueue$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.getFileUploadQueue", {$getFileUploadQueue$:$AdfFileUploadManager$$.prototype.$getFileUploadQueue$});
$AdfFileUploadManager$$.prototype.$getFileUploadResults$ = function $$AdfFileUploadManager$$$$$getFileUploadResults$$() {
  return this.$_component$.$getPeer$().$getFileUploadUtils$().$getFileUploadResults$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.getFileUploadResults", {$getFileUploadResults$:$AdfFileUploadManager$$.prototype.$getFileUploadResults$});
$AdfFileUploadManager$$.prototype.$isBusy$ = function $$AdfFileUploadManager$$$$$isBusy$$() {
  return this.$_component$.$getPeer$().$getFileUploadUtils$().$isBusy$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.isBusy", {$isBusy$:$AdfFileUploadManager$$.prototype.$isBusy$});
$AdfFileUploadManager$$.prototype.removeEventListener = function $$AdfFileUploadManager$$$$removeEventListener$($type$$121$$, $listener$$67$$, $instance$$13$$) {
  this.$_component$.$getPeer$().$getFileUploadUtils$().removeEventListener($type$$121$$, $listener$$67$$, $instance$$13$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.removeEventListener", {removeEventListener:$AdfFileUploadManager$$.prototype.removeEventListener});
$AdfFileUploadManager$$.prototype.$setFileProperties$ = function $$AdfFileUploadManager$$$$$setFileProperties$$($filename$$2$$, $properties$$30$$) {
  for (var $i$$67$$ in $properties$$30$$) {
    $properties$$30$$.hasOwnProperty($i$$67$$) && this.$_component$.$getPeer$().$getFileUploadUtils$().$setFileProperty$($filename$$2$$, $i$$67$$, $properties$$30$$[$i$$67$$]);
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.setFileProperties", {$setFileProperties$:$AdfFileUploadManager$$.prototype.$setFileProperties$});
$AdfFileUploadManager$$.prototype.$setFileProperty$ = function $$AdfFileUploadManager$$$$$setFileProperty$$($filename$$3$$, $propertyName$$30$$, $propertyValue$$7$$) {
  this.$_component$.$getPeer$().$getFileUploadUtils$().$setFileProperty$($filename$$3$$, $propertyName$$30$$, $propertyValue$$7$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.setFileProperty", {$setFileProperty$:$AdfFileUploadManager$$.prototype.$setFileProperty$});
$AdfFileUploadManager$$.prototype.$uploadAllFilesFromQueue$ = function $$AdfFileUploadManager$$$$$uploadAllFilesFromQueue$$() {
  this.$_component$.$getPeer$().$getFileUploadUtils$().$uploadAllFilesFromQueue$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.uploadAllFilesFromQueue", {$uploadAllFilesFromQueue$:$AdfFileUploadManager$$.prototype.$uploadAllFilesFromQueue$});
$AdfFileUploadManager$$.prototype.$uploadFileFromQueue$ = function $$AdfFileUploadManager$$$$$uploadFileFromQueue$$($filename$$4$$) {
  this.$_component$.$getPeer$().$getFileUploadUtils$().$uploadFileFromQueue$($filename$$4$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfFileUploadManager.prototype.uploadFileFromQueue", {$uploadFileFromQueue$:$AdfFileUploadManager$$.prototype.$uploadFileFromQueue$});
$AdfFileUploadManager$$.$FileItem$ = function $$AdfFileUploadManager$$$$FileItem$$($itemId$$, $filename$$5$$, $filesize$$, $data$$44$$, $success$$) {
  this.$_success$ = $success$$;
  this.$_properties$ = [];
  this.$getItemId$ = function $this$$getItemId$$() {
    return (new String($itemId$$)).toString();
  };
  this.$getFilename$ = function $this$$getFilename$$() {
    return $filename$$5$$;
  };
  this.$getFilesize$ = function $this$$getFilesize$$() {
    return null != $filesize$$ ? new Number($filesize$$) : null;
  };
  this.getData = function $this$getData$() {
    return $data$$44$$;
  };
  this.$setSuccess$ = function $this$$setSuccess$$($itemId$$) {
    this.$_success$ = $itemId$$;
  };
  this.$getProperty$ = function $this$$getProperty$$($itemId$$) {
    return this.$_properties$[$itemId$$];
  };
  this.setProperty = function $this$setProperty$($itemId$$, $filename$$5$$) {
    this.$_properties$[$itemId$$] = $filename$$5$$;
  };
  this.$getProperties$ = function $this$$getProperties$$() {
    return this.$_properties$;
  };
};
$goog$exportSymbol$$("AdfFileUploadManager.FileItem", $AdfFileUploadManager$$.$FileItem$);
